Poll EFT Status

Returns the current status of an EFT transaction. When the result is known, additional fields like resultCode, cardNumber, cardName, authorizationNumber, and resultMessage are included. When the transaction is successful, a paymentDelta is included containing the EFT payment line(s) in POS data source format with rows and totals.

Authentication

x-np-api-keystring
API Key authentication via header

Path parameters

tenantstringRequired

Your Entra Tenant ID. More details.

environmentstringRequired

Your Business Central Environment. More details.

companystringRequired

Your Business Central Company. More details.

saleIdUUIDRequired
The id of a POS sale. This can be provided by the API consumer when creating a new sale.
transactionIdUUIDRequired

System-generated identifier for an EFT transaction request, used for polling status and cancellation.

Headers

x-api-versiondateOptional

Used for API versioning. More details.

Response

This endpoint returns an object.
transactionIdUUID

System-generated identifier for an EFT transaction request, used for polling status and cancellation.

statusenum
Status of an EFT transaction through its lifecycle
Allowed values:
successfulboolean
resultCodestring or null

Result code from the payment provider (present when result is known)

cardNumberstring or null

Masked card number (present when result is known)

cardNamestring or null

Card brand name (present when result is known)

authorizationNumberstring or null

Authorization number from the payment provider (present when result is known)

resultMessagestring or null

Human-readable result message (present when result is known)

refreshedSaleLineslist of objects or null

Sale lines created or modified by the EFT payment (typically empty since EFT only adds payment lines). Present only when successful.

refreshedPaymentLineslist of objects or null
Payment lines created by the EFT payment. Present only when successful.
deletedSaleLineslist of strings or null

SystemIds of sale lines deleted during the payment (typically empty). Present only when successful.

deletedPaymentLineslist of strings or null

SystemIds of payment lines deleted during the payment (typically empty). Present only when successful.

totalSalesAmountInclVatdouble or null
Total of all sale lines including VAT. Present only when successful.
totalPaymentAmountdouble or null
Total of all payment lines. Present only when successful.